View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001004Ecere SDKide:debuggerpublic2013-09-18 16:222013-09-29 18:59
Reporterredj 
Assigned Toredj 
PriorityimmediateSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.44.09 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0001004: initial step over will ask for source file location twice on windows
Descriptionit shouldn't ask anything as the entry point and main breakpoint are skipped when hit if you use step over to start the program.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001071)
redj (administrator)
2013-09-18 16:34

https://github.com/redj/ecere-sdk/commit/814f5f85512a044c4aca541809661701ec50b68a [^]
(0001089)
jerome (administrator)
2013-09-29 04:07
edited on: 2013-09-29 04:09

There is still an issue with the Watch/Linking changes when the file is externally modified. To get the crash:

- open the .ec file, start debugging, hit a breakpoint or crash, stop debugging
- Close the file
- externally modify the file
- You will get a save dialog (shouldn't); click No: IDE crashes

(0001090)
redj (administrator)
2013-09-29 15:06
edited on: 2013-09-29 18:59

Fixed by:
https://github.com/ecere/ecere-sdk/commit/22f4910c35cbe3549e33b75a90399a7fec92de12 [^]


- Issue History
Date Modified Username Field Change
2013-09-18 16:22 redj New Issue
2013-09-18 16:22 redj Status new => assigned
2013-09-18 16:22 redj Assigned To => redj
2013-09-18 16:34 redj Status assigned => resolved
2013-09-18 16:34 redj Fixed in Version => 0.44.10 64
2013-09-18 16:34 redj Resolution open => fixed
2013-09-18 16:34 redj Note Added: 0001071
2013-09-28 23:59 jerome Status resolved => closed
2013-09-29 04:07 jerome Note Added: 0001089
2013-09-29 04:07 jerome Status closed => assigned
2013-09-29 04:09 jerome Note Edited: 0001089
2013-09-29 15:06 redj Status assigned => resolved
2013-09-29 15:06 redj Note Added: 0001090
2013-09-29 18:59 jerome Note Edited: 0001090
2013-09-29 18:59 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker